<?php

Route::get('/', 'Home\Index@index');
Route::get('/blog/{slug}', 'Home\Index@post');

Route::group(['prefix' => 'content'], function () {
  Route::any('/add', 'Home\Content@add');
  Route::any('/{slug}/edit', 'Home\Content@edit');
});

Route::any('/login', 'User\Login@index');
Route::any('/register', 'User\Register@index');

Route::group(['prefix' => 'profile'], function () {
  Route::any('/{id}/edit', 'User\Profile@edit');
  Route::get('/{id}', 'User\Profile@index');
});

Route::group(['prefix' => 'video'], function () {
  Route::group(['prefix' => 'game'], function () {
    Route::any('/add', 'Video\Game@add');
    Route::any('/{slug}/edit', 'Video\Game@edit');
  });
  
  Route::any('/add', 'Video\VideoTable@add');
  Route::any('/{vid}/edit', 'Video\VideoTable@edit');
  
  Route::get('/', 'Video\Game@index');
  Route::get('/{slug}', 'Video\VideoTable@index');
  Route::get('/play/{vid}', 'Video\Prayer@index');
});

Route::get('/memberlist', 'User\MemberList@index');
Route::get('/commentlist', 'Home\CommentList@index');
Route::get('/contact/seiko', 'Home\Contact@seiko');
Route::any('/contact', 'Home\Contact@index');
Route::get('/feed', 'RssFeedController@feed');

Route::get('/{slug}', 'Home\Index@page');
